<template>
  <!-- 修改油价信息 -->
  <div id="contractDetails">
    <page-title>编辑</page-title>
    <div class="main">
      <span class="text">油价信息</span>
    </div>
    <div class="contractTitle">
      <div class="form-box">
        <div class="form-one">
          <dil-form :formId="356" v-model="form1"></dil-form>
        </div>
      </div>
    </div>

    <div class="button-box">
      <el-button type="primary" @click="onClickConfirm">确认</el-button>
      <el-button @click="onClickCancel">返回</el-button>
    </div>
  </div>
</template>

<script>
import PageTitle from "@/components/Page/Title";
//import { sjTime } from "@/utils/sharedJsFile";
export default {
  components: { PageTitle },
  data() {
    return {
      form1: {},
    };
  },

  mounted() {
    console.log(this.$route)
    this.information();
  },
  methods: {
    information() {
      //编辑驳船作业
      this.axios
        .post("/api/v1/ams/selectBreachToUpdate/" + this.$route.params.breachId)
        .then((res) => {
          console.log(res)
          res.data.data.forEach((e) => {
            this.form1 = e;
            console.log(e);
            console.log(this.form1);
            console.log(this.$route.params.priceId);
          });
        });
    },
    // 返回
    onClickCancel() {
      this.$router.go(-1);
    },
    // 确认
    onClickConfirm() {
      console.log(this.form1)
      let RmsOilPrice = {
        priceId:this.form1.priceId,
        priceDate:this.form1.priceDate,
        priceValue:this.form1.priceValue,
        priceOilName:this.form1.priceOilName,

      };
      this.axios
        .post(
          "/api/v1/rms/updateOilPrice",
          RmsOilPrice
        )
        .then((res) => {
          if (res.data.code == "200") {
            this.$router.go(-1);
          }
        });
    },
  },
};
</script>
<style lang="scss" scoped>

</style>
